# ConsumerTasksResponse

Response containing consumer tasks and metadata.

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**consumer_id** | **string** | Consumer identifier | [default to undefined]
**total_tasks_available** | **number** | Total number of tasks available | [default to undefined]
**tasks** | [**Array&lt;StreamingTask&gt;**](StreamingTask.md) | List of streaming tasks | [default to undefined]
**consumer_stats** | [**ConsumerStatsInfo**](ConsumerStatsInfo.md) |  | [default to undefined]

## Example

```typescript
import { ConsumerTasksResponse } from '@vipr/api';

const instance: ConsumerTasksResponse = {
    consumer_id,
    total_tasks_available,
    tasks,
    consumer_stats,
};
```

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)
